### Method

# GtkSource Style apply

#### Declaration [src]

    void
    gtk_source_style_apply (
      const GtkSourceStyle* style,
      GtkTextTag* tag
    )

#### Description [src]

This function modifies the `GtkTextTag` properties that are related to the `GtkSourceStyle` properties. Other `GtkTextTag` properties are left untouched.

If `style` is non-`NULL`, applies `style` to `tag`.

If `style` is `NULL`, the related *-set properties of `GtkTextTag` are set to `FALSE`.

#### Parameters

`style`

  Type: `GtkSourceStyle`

  A `GtkSourceStyle` to apply, or `NULL`.

  The argument can be `NULL`.

`tag`

  Type: `GtkTextTag`

  A `GtkTextTag` to apply styles to.

  The data is owned by the caller of the method.